package com.iformall.controller.car;

import com.github.pagehelper.PageInfo;
import com.iformall.annotation.SystemControllerLog;
import com.iformall.common.Result;
import com.iformall.common.ResultData;
import com.iformall.controller.base.BaseController;
import com.iformall.domain.po.WxPark;
import com.iformall.service.WxParkService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("wxPark")
public class WxParkController extends BaseController {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private WxParkService wxParkService;

    @ApiOperation("分页列表接口")
    @GetMapping("list")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "页数", dataType = "int", paramType = "query", required = true),
            @ApiImplicitParam(name = "pageSize", value = "每页条数", dataType = "int", paramType = "query", required = true)})
    @SystemControllerLog(description = "停车-列表")
    public ResultData list(@ModelAttribute WxPark wxPark, Integer pageNum, Integer pageSize) {
        logger.debug("[" + getIpAddr() + "] WxParkController::list");
        if (null == wxPark) wxPark = new WxPark();
        final PageInfo<WxPark> page = wxParkService.listAsPage(wxPark, pageNum, pageSize);
        return new ResultData(page);
    }

    @ApiOperation("新增接口")
    @PostMapping("add")
    @SystemControllerLog(description = "停车-新增停车场")
    public ResultData add(@RequestBody WxPark wxPark) {
        logger.debug("[" + getIpAddr() + "] WxParkController::add");
        //Assert.notNull(wxPark.getName(), "角色名不能为空");
        //Assert.isTrue(!checkUnique(sysRole.getName(), null), "重复的角色名");
        wxParkService.saveOrUpdate(wxPark);
        return new ResultData();
    }

    @ApiOperation("根据id更新接口")
    @PostMapping("update")
    @SystemControllerLog(description = "停车-停车场信息更新")
    public ResultData update(@RequestBody WxPark wxPark) {
        logger.debug("[" + getIpAddr() + "] WxParkController::update");
        wxParkService.saveOrUpdate(wxPark);
        return new ResultData();
    }

    @ApiOperation("根据id查询接口")
    @GetMapping("/findById")
    @ApiImplicitParam(name = "id", value = "id", dataType = "Long", paramType = "query", required = true)
    @SystemControllerLog(description = "停车-查询")
    public ResultData findById(Long id) {
        logger.debug("[" + getIpAddr() + "] WxParkController::findById");
        return new ResultData(Result.SUCCESS, "查询成功", wxParkService.getById(id));
    }


}
